## ros-jazzy-pilz-industrial-motion-planner-testutils 2.10.0

=== debian/changelog ===
ros-jazzy-pilz-industrial-motion-planner-testutils (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.9.0-2bookworm) bookworm; urgency=high

  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Sebastian Jahr, Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.8.0-2bookworm) bookworm; urgency=high

  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Sebastian Jahr

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.7.4-2bookworm) bookworm; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.7.2-2bookworm) bookworm; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.7.1-2bookworm) bookworm; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.7.0-2bookworm) bookworm; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add noexcept specifier to constructors
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Contributors: Chris Thrasher, Christian Henkel, Robert Haschke, Sameer Gupta

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 28 Jan 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.6.0-2bookworm) bookworm; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 09 Nov 2022 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.5.3-2bookworm) bookworm; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 27 Jul 2022 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.5.2-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Henry Moore, Michael Görner, Vatan Aksoy Tezer, v4hn

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 17 Jul 2022 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner-testutils (2.5.1-2bookworm) bookworm; urgency=high




